> For the complete documentation index, see [llms.txt](https://docs.fullwhere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fullwhere.com/developer/api-references/brand.md).

# Brand

## GET /partners/brand

> Get a brand by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/brand":{"get":{"operationId":"PartnersBrandController_getBrand","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the brand to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The brand has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerBrand"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Brand not found."}},"summary":"Get a brand by ID","tags":["Brand"]}}},"components":{"schemas":{"PartnerBrand":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Brand name"},"logo":{"nullable":true,"description":"Brand logo","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"language":{"description":"Language used to generate review responses","allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"supportEmails":{"description":"A list of support emails associated with the brand","type":"array","items":{"$ref":"#/components/schemas/PartnerSupportEmail"}}},"required":["id","createdAt","updatedAt","name","language","supportEmails"]},"PartnerPublicFile":{"type":"object","properties":{"contentType":{"type":"string","description":"MIME type of the file"},"url":{"type":"string","description":"URL to access the file"},"size":{"type":"string","nullable":true,"description":"Size of the file in bytes","default":null},"width":{"type":"number","nullable":true,"description":"Width of the file (if applicable, e.g., for images)","default":null},"height":{"type":"string","nullable":true,"description":"Height of the file (if applicable, e.g., for images)","default":null}},"required":["contentType","url","size","width","height"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerSupportEmail":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"email":{"type":"string","description":"Outbound support email address"},"domain":{"type":"string","description":"Outbound support email domain part"},"forwardingEmail":{"type":"string","description":"Inbound support email address"},"default":{"type":"boolean","description":"Indicates if this is the default support email"},"enableInbound":{"type":"boolean","description":"Indicates if inbound email processing is enabled"},"externalDnsConfig":{"nullable":true,"description":"External DNS configuration to be applied by the user (only for EXTERNAL type)","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEmbeddable"}]},"dkimVerified":{"type":"boolean","description":"Indicates if DKIM is verified"},"returnPathVerified":{"type":"boolean","description":"Indicates if return path is verified"},"status":{"nullable":true,"description":"Status of the support email credential","enum":["VALID","REVOKED"],"type":"string"},"metadatas":{"description":"Metadatas of the support email","allOf":[{"$ref":"#/components/schemas/SupportEmailMetadatasEmbeddable"}]}},"required":["id","createdAt","updatedAt","email","domain","forwardingEmail","default","enableInbound","externalDnsConfig","dkimVerified","returnPathVerified","status","metadatas"]},"SupportEmailExternalDNSConfigEmbeddable":{"type":"object","properties":{"dkim":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"},"returnPath":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"}},"required":["dkim","returnPath"]},"SupportEmailExternalDNSConfigEntryEmbeddable":{"type":"object","properties":{"host":{"type":"string"},"type":{"type":"string"},"value":{"type":"string"}},"required":["host","type","value"]},"SupportEmailMetadatasEmbeddable":{"type":"object","properties":{"firstName":{"type":"string","nullable":true,"description":"First name of the mailbox owner (from the OAuth provider profile).","default":null},"lastName":{"type":"string","nullable":true,"description":"Last name of the mailbox owner (from the OAuth provider profile).","default":null}},"required":["firstName","lastName"]}}}}
```

## POST /partners/brand/list

> List brands

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/brand/list":{"post":{"operationId":"PartnersBrandController_listBrands","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerBrandListingParamsDto"}}}},"responses":{"201":{"description":"The brands have been successfully listed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerBrandListingOutput"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"}},"summary":"List brands","tags":["Brand"]}}},"components":{"schemas":{"PartnerBrandListingParamsDto":{"type":"object","properties":{"limit":{"type":"number","description":"Pagination limit","default":10,"minimum":1,"maximum":100},"page":{"type":"number","description":"Page to retrieve","default":1,"minimum":1}}},"PartnerBrandListingOutput":{"type":"object","properties":{"items":{"description":"List of brands","type":"array","items":{"$ref":"#/components/schemas/PartnerBrand"}},"meta":{"description":"Listing metadata","allOf":[{"$ref":"#/components/schemas/PartnerListingOutputMeta"}]}},"required":["items","meta"]},"PartnerBrand":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Brand name"},"logo":{"nullable":true,"description":"Brand logo","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"language":{"description":"Language used to generate review responses","allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"supportEmails":{"description":"A list of support emails associated with the brand","type":"array","items":{"$ref":"#/components/schemas/PartnerSupportEmail"}}},"required":["id","createdAt","updatedAt","name","language","supportEmails"]},"PartnerPublicFile":{"type":"object","properties":{"contentType":{"type":"string","description":"MIME type of the file"},"url":{"type":"string","description":"URL to access the file"},"size":{"type":"string","nullable":true,"description":"Size of the file in bytes","default":null},"width":{"type":"number","nullable":true,"description":"Width of the file (if applicable, e.g., for images)","default":null},"height":{"type":"string","nullable":true,"description":"Height of the file (if applicable, e.g., for images)","default":null}},"required":["contentType","url","size","width","height"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerSupportEmail":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"email":{"type":"string","description":"Outbound support email address"},"domain":{"type":"string","description":"Outbound support email domain part"},"forwardingEmail":{"type":"string","description":"Inbound support email address"},"default":{"type":"boolean","description":"Indicates if this is the default support email"},"enableInbound":{"type":"boolean","description":"Indicates if inbound email processing is enabled"},"externalDnsConfig":{"nullable":true,"description":"External DNS configuration to be applied by the user (only for EXTERNAL type)","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEmbeddable"}]},"dkimVerified":{"type":"boolean","description":"Indicates if DKIM is verified"},"returnPathVerified":{"type":"boolean","description":"Indicates if return path is verified"},"status":{"nullable":true,"description":"Status of the support email credential","enum":["VALID","REVOKED"],"type":"string"},"metadatas":{"description":"Metadatas of the support email","allOf":[{"$ref":"#/components/schemas/SupportEmailMetadatasEmbeddable"}]}},"required":["id","createdAt","updatedAt","email","domain","forwardingEmail","default","enableInbound","externalDnsConfig","dkimVerified","returnPathVerified","status","metadatas"]},"SupportEmailExternalDNSConfigEmbeddable":{"type":"object","properties":{"dkim":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"},"returnPath":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"}},"required":["dkim","returnPath"]},"SupportEmailExternalDNSConfigEntryEmbeddable":{"type":"object","properties":{"host":{"type":"string"},"type":{"type":"string"},"value":{"type":"string"}},"required":["host","type","value"]},"SupportEmailMetadatasEmbeddable":{"type":"object","properties":{"firstName":{"type":"string","nullable":true,"description":"First name of the mailbox owner (from the OAuth provider profile).","default":null},"lastName":{"type":"string","nullable":true,"description":"Last name of the mailbox owner (from the OAuth provider profile).","default":null}},"required":["firstName","lastName"]},"PartnerListingOutputMeta":{"type":"object","properties":{"itemCount":{"type":"number","description":"Total number of items for the given page."},"totalItems":{"type":"number","description":"Total number of items."},"itemsPerPage":{"type":"number","description":"Number of items per page."},"totalPages":{"type":"number","description":"Total number of pages."},"currentPage":{"type":"number","description":"Current page number."}},"required":["itemCount","totalItems","itemsPerPage","totalPages","currentPage"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fullwhere.com/developer/api-references/brand.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
